﻿Imports Infragistics.Win.UltraWinGrid

Public Class Form1

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load

        UltraGrid1.DisplayLayout.Override.SelectTypeRow = SelectType.Extended
        UltraGrid1.DisplayLayout.Override.CellClickAction = CellClickAction.RowSelect

        Dim dt As DataTable = New DataTable()
        dt.Columns.Add("Col1", GetType(String))
        dt.Columns.Add("Col2", GetType(Integer))

        For index = 1 To 1000
            dt.Rows.Add(String.Format("Row {0, 5}", index), index)
        Next
        UltraGrid1.DataSource = dt



    End Sub

    Private Sub UltraButton1_Click(sender As System.Object, e As System.EventArgs) Handles UltraButton1.Click
        UltraGrid1.Rows.Where(Function(row) (DirectCast(row.Cells("Col2").Value, Integer) Mod 2 = 0)).ToList().ForEach(AddressOf SelectRow)
    End Sub

    Shared Sub SelectRow(ByVal row As UltraGridRow)
        row.Selected = True
    End Sub

End Class
